Raspberry Pi 4

For information, Recalbox IS NOT compatible with Raspberry Pi 4 yet.
Pour information, Recalbox N'EST PAS encore compatible avec le Raspberry Pi 4.

The Recalbox Team.

Raspberry pi 1 & recalbox 6.1 problème



  • Bonjour, j'ai une mini borne dans laquelle se trouve un Raspberry pi 1 sur lequel est connecté un module pikeydx16.
    La borne tournait jusqu a present emulationstation, et j' ai voulu installer recalbox 6.1. Celui ci s'installe (version rpi 1), par contre impossible d' avoir le joystick de la borne fonctionnel, j'ai essayé plusieurs choses en modifiant recalbox.conf, j ai activé le gpio en le mettant à 1 et j'ai même aussi essayé une conf manuelle de GPIO en référence le GPIO number correspondant à la PIN souhaité. Rien n'y fait, je n'ai pas de joystick. Avez vous une idée? est ce parceque c'est non supporté avec recalbox? les joysticks etc sont connectés sur le petit module dessus mais en theorie ce module n'est qu un deport des PIN du rpi, ca ne devrait pas changer.
    quelqu'un connait il bien le sujet? par avance merci pour votre aide

    IMG_0458.jpg
    IMG_0459.jpg



  • @pinpin06 c'est bien la version à 256Mo de RAM ?



  • bonsoir oui

    grep MemTotal /proc/meminfo

    MemTotal: 249208 kB



  • Laisse tomber, j'ai tenté moi aussi avec cette version de Raspberry Pi et ça ne passe pas avec Recalbox 6.1.1
    L'ancêtre est trop juste. 😭



  • Merci de ton retour, t’avais le module aussi dessus? c est l’impression que ça me donne aussi que ça ne marche pas, j’ai même essayé un drivers qu’un mec a fait sauf que recalbox ne permet pas de faire un apt-get. Je suis bloqué total, c’est dommage parce que la puissance du rpi1 est largement suffisant pour la mini borne que j’ai. Ca me rend dingue y’a juste les gpio qui marchent pas, le reste est nickel avec le clavier branché sur le rpi. Je vais quand même continuer de chercher et si jamais quelqu’un d’autre a eu ce cas, les retours sont les bienvenus.


  • Developer
    Global moderator
    Team

    @pinpin06 said in Raspberry pi 1 & recalbox 6.1 problème:

    recalbox ne permet pas de faire un apt-get

    Normal, apt-get c'est pour Debian ou Ubuntu. Recalbox n'est pas basé sur un de ces OS, c'est un OS à part entière minimaliste sans gestionnaire de paquet.



  • @pinpin06 Non, pas de module particulier, c'est juste que ça ramait sévère, cf https://forum.recalbox.com/topic/18921/recalbox-6-1-sur-raspberry-pi-1b-rev-1?_=1586382602864



  • cazeysan t aurais le recalbox.conf pour cette config ? ou si y a autre chose a configurer ? moi ca marche pas du tout les joysticks.



  • @OyyoDams oui j'ai lu ça sur des sites. Et du coup pour l'isntant j ai tjs pas trouver d'astuce pour le faire marcher. c'est fou car je ne vois pas ce qui gene a le faire fonctionner, cazeysan a réussi. Alors peut etre que le petit module qu il y a dessus est la cause mais je vois pas pkoi parcequ en gros sur ce module dessus y a juste une alim 5v pour l ecran et un déport des ports gpio du pin26 broches car les pin initiaux ne sont plus untilisables vu qu'il y a le module connecté dessus.



  • @pinpin06 attention, mes manettes étaient branchées via USB et pas en GPIO.



  • @cazeysan ha oui OK, car moi aussi avec le port USB, aucun probleme, je peux me deplacer dans la GUI en branchant un clavier en USB. la c est vraiment un stick arcade, c est une mini borne 🙂
    thumbnail_IMG_0620.jpg



  • Ok, tout ça pour te dire qu'au delà de ton problème de joystick, la version 6.1.1 est désormais trop exigeante pour cette version de Raspberry Pi. De mon expérience, même des jeux NES avec l'overclock rament...
    Mais tu peux surement trouver d'occasion des vieux Raspberry Pi 1 en 512 Mo de RAM.
    Bon courage.



  • @cazeysan merci de tes retours. je vais reflechir a changer le Raspberry pi du coup.


Log in to reply
 

Want to support us ?

101
Online

78.8k
Users

20.2k
Topics

148.0k
Posts